Skip to content

Fetch standard entity fields by ID/fieldName or list with pagination.

Request

Security
bearerAuth and apiKeyAuth
Query
fieldIdstring

Comma-separated list of field IDs

fieldNamestring

Field name

entityDefinitionIdstring

EntityDefinitionId

pageNumberstring

Page number (0-based)

pageSizestring

Page size

curl -i -X GET \
  'https://api3.sprinklr.com/prod/api/v3/standardEntity/field?fieldId=string&fieldName=string&entityDefinitionId=string&pageNumber=string&pageSize=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Id of the field

apiNamestring

Api Name for the field

namestring

Name of the field

descriptionstring

Description of the field

typestring

Type of the field

entityDefinitionIdstring

Id of the definition this field is a part of.

lookupTypestring

If the field is of type LOOKUP, this would specify which entity is the reference for lookup

parentChildboolean

If this entity is of type LOOKUP and has a parentChild relationship, the entity with the referenced value is also deleted is the referenced entity is deleted.

formobject(Form)

If the field is of type FORM, its definition is stored here

multivaluedboolean

Specifies if the field is multivalued or not.

mandatoryboolean

Specifies if the field is mandatory or not.

controllingFieldstring

The id of the field controlling its values, if any.

picklistValuesArray of objects(PicklistValue)

Picklist values defined for the field, if any.

defaultValueobject

Default value for the field, if any.

additionalobject

Additional info based on type of field.

langVsTranslatedFieldValuesobject

Multiple Language support for field values

]
Response
[ { "id": "string", "apiName": "string", "name": "string", "description": "string", "type": "string", "entityDefinitionId": "string", "lookupType": "string", "parentChild": true, "form": { … }, "multivalued": true, "mandatory": true, "controllingField": "string", "picklistValues": [ … ], "defaultValue": {}, "additional": { … }, "langVsTranslatedFieldValues": { … } } ]